# Uses of Class
java.util.Random

Packages that use Random
Package
Description
java.math
Provides classes for performing arbitrary-precision integer arithmetic (`BigInteger`) and arbitrary-precision decimal arithmetic (`BigDecimal`).
java.security
Provides the classes and interfaces for the security framework.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of Random in java.math

Methods in java.math with parameters of type Random
Modifier and Type
Method
Description
`static BigInteger`
BigInteger.`probablePrime(int bitLength, Random rnd)`
Returns a positive BigInteger that is probably prime, with the specified bitLength.
Constructors in java.math with parameters of type Random
Modifier
Constructor
Description
``
`BigInteger(int bitLength, int certainty, Random rnd)`
Constructs a randomly generated positive BigInteger that is probably prime, with the specified bitLength.
``
`BigInteger(int numBits, Random rnd)`
Constructs a randomly generated BigInteger, uniformly distributed over the range 0 to (2`numBits` - 1), inclusive.

## Uses of Random in java.security

Subclasses of Random in java.security
Modifier and Type
Class
Description
`class`
`SecureRandom`
This class provides a cryptographically strong random number generator (RNG).

## Uses of Random in java.util

Methods in java.util that return Random
Modifier and Type
Method
Description
`static Random`
Random.`from(RandomGenerator generator)`
Returns an instance of `Random` that delegates method calls to the `RandomGenerator` argument.
Methods in java.util with parameters of type Random
Modifier and Type
Method
Description
`static void`
Collections.`shuffle(List<?> list, Random rnd)`
Randomly permute the specified list using the specified source of randomness.

## Uses of Random in java.util.concurrent

Subclasses of Random in java.util.concurrent
Modifier and Type
Class
Description
`final class`
`ThreadLocalRandom`
A random number generator (with period 264) isolated to the current thread.